{% extends "lab_10/layout/base.html" %}

{% block header %}
    {% include "lab_10/partials/header_logged_in.html" %}
{% endblock %}

{% block content %}
<head>
<script>

</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">
function myButton() {
	if(typeof(Storage) !== "undefined"){
		if (localStorage.myrating){
			localStorage.myrating = Math.floor((Math.random() * 10) + 1);
			return localStorage.myrating
		}
		else{
			localStorage.myrating = 0;
			return localStorage.myrating
		}
	}
	else{
		
	}
	
}
$(document).ready(function() {
	
    $("#demo").val(myButton());
});
</script>
<link href="https://fonts.googleapis.com/css?family=Arimo|Spectral+SC" rel="stylesheet">
<style>
 h1{
	font-family: 'Arimo', sans-serif;
 }
 table {
    border-collapse: separate;
    border-spacing: 15px;
}
</style>
</head>
    <div class="row" style="margin-top: 100px;">
        <h1 style="text-align: center; margin-bottom: 30px;font-family: 'Arimo', sans-serif;">Watched Movie List</h1>
        <hr>
        {% for movie in already_watched_movies %}
            <section name="watch-later-list" id="watch-later-list-{{ movie.imdbid }}" style="margin-bottom: 30px;">
                <div class="container">
                    <div class="row">
                        <div class="col-md-6 col-lg-6">
                            <div id="picture-of {{ movie.title }}">
							<a href={% url 'lab-10:movie_detail' movie.imdbid %}>
								<img src="{{ movie.poster }}"></div>
							</a>
                        </div>
                        <div class="col-lg-6">
                            <div id="watch-later-list" class="list-group">
                                <table>
									<h3><b>{{ movie.title }}</b></h3></th>
									<button class="btn btn-primary" onclick="myButton()">Rate It!</button>
									
                                    <tr>
										<br>
										<br>
                                        <p width="150"><big><em>Genre</em></big></p>
                                      
                                            <p style="margin-left: 10px;">{{ movie.genre }}</p>
                                        
                                    </tr>
                                    <tr>
                                        <p width="150"><big><em>IMDb Rating</em></big></p>
                                        
                                            <p style="margin-left: 10px;">{{ movie.imdbrating }}</p>
                                       
                                    </tr>
                               
									<tr>
                                        <p width="150"><big><em>My Rating</em></big></p>
										<p id = "demo" style = "margin-left: 10px;"></p>
                                            
                                        
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </section>
            <hr>
        {% endfor %}
    </div>

    
{% endblock %}
